classification
Title: Update interface of weakref dictionaries
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, benjamin.peterson, georg.brandl, pitrou
Priority: release blocker Keywords: patch

Created on 2008-05-25 09:46 by georg.brandl, last changed 2008-09-04 01:51 by barry. This issue is now closed.

Files
File name Uploaded Description Edit
weakref_py3k.patch benjamin.peterson, 2008-05-25 18:41
Messages (7)
msg67339 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-25 09:46
The weak dictionaries in the weakref module still present the 2.x
dictionary methods (iter*). This should be fixed for consistency with 3k
dicts.
msg67353 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-25 18:41
Attaching patch.
msg70480 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-31 02:13
What needs to happen here?
msg70492 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-07-31 08:37
Is it ok that the keys/values/items return iterators rather than views?
msg70493 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-07-31 08:38
By the way, code like:
         items1 = list(dict.items())
         items1.sort()

could be simplified into:
         items1 = sorted(dict.items())

(same for reversed() instead of list.reverse())
msg72452 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-09-04 01:40
I will apply the patch to 3.0.

Please open a separate bug for the simplification (which is not an API
change).  As for returning iterators rather than views, it would be nice
to get that fixed before the final release, but I don't see that as
critical.  Please open a separate bug for that.
msg72453 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-09-04 01:51
r66202
History
Date User Action Args
2008-09-04 01:51:17barrysetmessages: + msg72453
2008-09-04 01:43:02barrysetstatus: open -> closed
resolution: fixed
2008-09-04 01:40:40barrysetnosy: + barry
messages: + msg72452
2008-08-21 14:28:57benjamin.petersonsetpriority: critical -> release blocker
2008-07-31 08:38:52pitrousetmessages: + msg70493
2008-07-31 08:37:01pitrousetnosy: + pitrou
messages: + msg70492
2008-07-31 02:13:58benjamin.petersonsetmessages: + msg70480
2008-05-25 18:41:24benjamin.petersonsetfiles: + weakref_py3k.patch
keywords: + patch
messages: + msg67353
nosy: + benjamin.peterson
2008-05-25 09:46:20georg.brandlcreate